<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:atom="http://www.w3.org/2005/Atom"
    xmlns:ms="http://www.ibm.com/xmlns/systems/power/firmware/uom/mc/2012_10/"
    exclude-result-prefixes="atom"
>

<xsl:template match="/">
    <html>
    <head>
        <link rel="stylesheet" type="text/css" href="/rest/theme/feed.css" />   
    </head>
        <body>
             <xsl:choose>
                <xsl:when test="atom:feed">
                    <xsl:apply-templates select="atom:feed/atom:entry" />
                </xsl:when>
                <xsl:otherwise>
                    <xsl:apply-templates select="atom:entry" />
                </xsl:otherwise>
            </xsl:choose>
        </body>
    </html>
</xsl:template>
  
<xsl:template match="atom:entry">
    <div class="atomEntry">
        <span>
            <xsl:value-of select="atom:title"/>
            <xsl:text> - </xsl:text>
            <xsl:value-of select="atom:id"/>
        </span>
    </div>
    <div style="atomContent" >
        <xsl:apply-templates select="atom:content"/>
    </div>  
</xsl:template>


<xsl:template match="ms:*">
    <xsl:choose>
        <xsl:when test="not(normalize-space(@href)='')">
    
        <!--Handle atom links-->
        <div class="atomLinks">      

            <a class="atomLinks_href">
                <xsl:attribute name="href">
                    <xsl:value-of select="@href"/>
                </xsl:attribute>
                <span>Link - <xsl:value-of select ="@href"/></span>
            </a>
        </div>
    </xsl:when>
    <xsl:otherwise>

    <!--Handle non-atom links-->

        <div class="nonAtomLinks">      
            <span class="nonAtomLinks_detail">
                <xsl:value-of select ="name(.)"/>
            </span>      
            <xsl:apply-templates select="node()"/>
        </div>
    </xsl:otherwise>
    </xsl:choose>
</xsl:template>
  
<xsl:template match="text()|@*">
    <span class="displayValue">
        <xsl:value-of select ="."/>
    </span>  
</xsl:template>

</xsl:stylesheet>